f20 strange local repo behaviour

Michael Schwendt mschwendt at gmail.com
Thu Dec 19 02:46:04 UTC 2013


On Wed, 18 Dec 2013 18:24:07 -0500, Robert Moskowitz wrote:

> when I edited the yum.repos.d files to point to my local repos, I got 
> the following error doing a yum update:
> 
> Error: Package: gnutls-utils-3.1.17-3.fc20.i686 (updates)
>             Requires: libopts.so.25

# repoquery --whatprovides libopts.so.25*
autogen-libopts-0:5.18-1.fc20.x86_64
autogen-libopts-0:5.18-1.fc20.i686

# yum list autogen-libopts|grep ^auto
autogen-libopts.x86_64                   5.18-1.fc20                   installed
autogen-libopts.i686                     5.18-1.fc20                   fedora   

> I have the same number of files locally that I am seeing on the mirrors, 
> so what gives?  Is there perhaps a permission problem?  I used rsync to 
> build my repo:

When facing dependency problems, never truncate Yum output, and always query
the remote repos as well as the installed packages to show what's available
and what's installed already.


More information about the users mailing list